import QtQuick 2.0
import QtQuick.Controls 1.1
import QtMultimedia 5.0


ApplicationWindow {
    id: window
    visible: true
    visibility: "FullScreen"


    MediaPlayer {
        id: mediaplayer
    }

    Image {
        id: pic1
        visible: true
	source: './pic.jpg'
    }
    Image {
        id: pic2
        visible: false
        opacity: 0
        anchors.fill: pic1
    }

    Timer {
        id: showTimer
        onTriggered: show()
        repeat: false
    }

    ListModel {
        id: objectlist
    }

    Component.onCompleted: getData();

    property int m_position: 0
    property bool m_loop: true

    function show(){

        if(m_loop){
            if(m_position >= objectlist.count ){
                m_position = 0;
                console.log("here")
            }
        }
        else{
            if(m_position >= objectlist.count ){
                Qt.quit()
            }
        }

        pic1.source = objectlist.get(m_position).url;
        showTimer.interval = objectlist.get(m_position).duration;

        console.log(showTimer.interval)

        m_position++;

        showTimer.start();

    }    

    function getData() {
        var xmlhttp = new XMLHttpRequest();

        var url = "file:///tmp/album.json";

        xmlhttp.open("GET", url);
        xmlhttp.send();

        xmlhttp.onreadystatechange=function() {
            if (xmlhttp.readyState == 4) {
                parseResponse(xmlhttp.responseText);
            }
            else{
                console.log(xmlhttp.responseText)
            }
        }

    }

    function parseResponse(response) {
        var arr = JSON.parse(response);
        var f = arr["objects"];

        m_loop = arr["loop"];

        for(var i = 0; i < f.length; i++) {
            objectlist.append( { "url": f[i].url, "duration":f[i].duration })
        }
        console.log(objectlist.count)
        show();
    }

}
